Bug 15798 - C4::Koha::displayServers is no longer in use
Summary: C4::Koha::displayServers is no longer in use
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 15779
  Show dependency treegraph
 
Reported: 2016-02-11 13:57 UTC by Jonathan Druart
Modified: 2017-06-14 22:08 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15798: Remove C4::Koha::displayServers (2.81 KB, patch)
2016-02-11 13:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15798: Remove C4::Koha::displayServers (2.88 KB, patch)
2016-02-11 14:30 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 15798: Remove C4::Koha::displayServers (2.96 KB, patch)
2016-02-12 07:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-02-11 13:57:23 UTC

    
Comment 1 Jonathan Druart 2016-02-11 13:59:26 UTC Comment hidden (obsolete)
Comment 2 Mark Tompsett 2016-02-11 14:30:05 UTC
I agree.

mtompset@debian:~/kohaclone$ git reset --hard origin/master
HEAD is now at 59fc325 Bug 15684: Fix encoding issues with quote upload
mtompset@debian:~/kohaclone$ git grep -n displayServers
C4/Koha.pm:53:          &displayServers
C4/Koha.pm:1013:=head2 displayServers
C4/Koha.pm:1015:   my $servers = displayServers();
C4/Koha.pm:1016:   my $servers = displayServers( $position );
C4/Koha.pm:1017:   my $servers = displayServers( $position, $type );
C4/Koha.pm:1019:displayServers returns a listref of hashrefs, each containing
C4/Koha.pm:1037:sub displayServers {
mtompset@debian:~/kohaclone$ git bz apply 15798
Bug 15798 - C4::Koha::displayServers is no longer in use

47896 - Bug 15798: Remove C4::Koha::displayServers

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 15798: Remove C4::Koha::displayServers
mtompset@debian:~/kohaclone$ git grep -n displayServers
mtompset@debian:~/kohaclone$
Comment 3 Mark Tompsett 2016-02-11 14:30:59 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2016-02-12 07:35:49 UTC
Created attachment 47952 [details] [review]
Bug 15798: Remove C4::Koha::displayServers

This subroutine is no longer is use and can be removed.

Test plan:
  git grep displayServers
should not return any results.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Kyle M Hall 2016-02-24 17:11:04 UTC
Pushed to master, thanks Jonathan! Should be in the Koha 3.24 release.